# Summary

* [About](README.md)

* Authorization Server
    * [Development](authorization-server/README.md)

* Communication Server
    * [Development](communication-server/README.md)

* Identity Provider
    * [Development](identity-provider/README.md)

* Infrastructure Console
    * [Development](infrastructure-console/README.md)

* For Development
    * [Setup](/development/README.md)
    * [Visual Studio Code](/development/vscode.md)
    * [Angular](/development/angular.md)
    * [NestJS](/development/nestjs.md)
    * [Codebase](/development/codebase.md)
    * [Dependencies](/development/dependencies.md)
    * [Configuration](development/config.md)
    * [Backing Services](/development/services.md)
    * [Pipeline](/development/pipeline.md)
    * [Processes](/development/processes.md)
    * [Port Binding](/development/port-binding.md)
    * [Concurrency](/development/concurrency.md)
    * [Disposability](/development/disposability.md)
    * [Environment Parity](/development/environment-parity.md)
    * [Logs](/development/logs.md)
    * [Admin Processes](/development/admin-processes.md)
    * [Updates and upgrades](/development/updates.md)
    * [How to develop microservices?](/development/how-to-develop-microservices.md)

* Kubernetes
    * [Introduction](/kubernetes/README.md)
    * [Gitlab Kubernetes Integration](/kubernetes/gitlab-do-k8-integration.md)
    * [Configuring and initializing Helm Tiller](/kubernetes/configuring-and-initializing-helm-tiller.md)
    * [Cert Manager and Letsencrypt](/kubernetes/cert-manager-letsencrypt.md)
    * [Create Namespace for access](/kubernetes/create-namespace-for-repo.md)
    * [Production Deployment](/kubernetes/production-deployment.md)
    * [MongoDB Backup CronJob](/kubernetes/mongodb-backup-cronjob.md)
